EDIT - bug #9263

Unify case for type designation status
10/23/2020 06:00 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

Current csv files use lower case for NameTypeDesignationStatus and upper case for SpecimenTypeDesignationStatus. This should
be unified.

Needs update script.

AM: Soll der TypusStatus (also z.B: lectotype) groB3 oder klein geschrieben werden? Derzeit wird er fir Specimen Typen groB und fir
Namenstypen klein geschrieben (bzw. in der Produktionsversion ist das noch falscher), was vermutlich Quatsch ist.
Alternativ kénnte auch die Abkirzung verwendet werden (also z.B LT fiir lectotype), wie ich es auch schon in Floren gesehen habe.

Related issues:
Related to EDIT - bug #8113: Update TypeDesignationStatus labels Closed

Associated revisions

Revision 1d1b820e - 10/30/2020 10:40 AM - Andreas Miiller

ref #9263 use lower case for SpecimenTypeDesignationStatus

History

#1 - 10/23/2020 06:01 PM - Andreas Miuller

- Description updated

#2 - 10/27/2020 11:14 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

NKo: ich wiirde sagen, wenn es als Satzanfang ausgegeben wird, dann grof3, sonst klein. Auf gar keinen Fall abkurzen.
AM: ok, dann wirde ich die jetzt erstmal alle klein speichern, im Kontext muss das dann ggf. angepasst werden

#3 - 11/02/2020 08:44 AM - Andreas Miiller

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 0 to 50

This has been fixed by using lower case for specimen type designations now.

This lead to test failures in TypeDesignationSetManagerSet. All failing tests were marked with FIXME #9263 to find them easily and the test data was
adapted so it does not fail anymore. However, the correct formatting for these cases needs to be discussed.

#4 - 07/15/2021 09:53 AM - Andreas Miiller
- Related to bug #8113: Update TypeDesignationStatus labels added

#5 - 07/15/2021 09:57 AM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.45
| put this to next current milestone as it should be reviewed soon. Please put to v5.18 once reviewed and tests adapted.

#6 - 08/02/2021 05:15 PM - Andreas Kohlbecker

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miller

Mir ist nicht klar was ich hier machen soll. Die im Kommentar 3 erwéhnten FIXMEs sind alle geldst.

Kann dieses Ticket nicht einfach geschlossen werden?

#7 - 08/30/2021 09:07 PM - Andreas Miiller

- Status changed from Feedback to Closed

- Target version changed from Release 5.45 to Release 5.18

- % Done changed from 50 to 100

Andreas Kohlbecker wrote:
Mir ist nicht klar was ich hier machen soll. Die im Kommentar 3 erwahnten FIXMEs sind alle geldst.
Kann dieses Ticket nicht einfach geschlossen werden?

OK, ich schlieBe das Ticket. Wenn es seitens Phycobank keine Probleme mit der derzeitigen Formattierung der Typen gibt, sollte dieses Ticket
korrekt geldst sein.
